PYAARLO(1)

NAME
pyaarlo - List devices, perform simple actions and anonymize/encrypt logs for debugging

SYNOPSIS
pyaarlo [OPTIONS] COMMAND [ARGS]...

DESCRIPTION
pyaarlo is a Python module to manage Aarlo cameras. The pyaarlo executable performs simple actions. This manual page is for the pyaarlo executable. See the section "SEE ALSO" for more documentation.

  COMMANDS
Help specific to each command is available by executing pyaarlo COMMAND --help.

anonymize
    Anonymize and encrypt logs for debugging purposes. For example:

    cat output-file | pyaarlo -u username -p password anonymize

camera
    Start or stop the camera, or take thumbnails. Requires an argument from {start-stream|stop-stream|last-thumbnail}. For example:

    pyaarlo -u username -p password camera last-thumbnail

decrypt
    Decrypt from stdin. For example:

    cat encrypted | pyaarlo decrypt

dump
    Print out everything that was returned from Arlo about the devices in the system. For example:

    pyaarlo dump all

encrypt
    Encrypt from stdin. For example:

    cat output-file | pyaarlo encrypt

list
    Requires an argument from {all|cameras|bases|lights|doorbells}. For example:

    pyaarlo -u username -p password list all

  OPTIONS

-u, --username TEXT
    Aarlo username.

-p, --password TEXT
    Aarlo password.

-a, --anonymize / --no-anonymize
    Anonymize ids.

-c, --compact / --no-compact
    Minimize lists.

-e, --encrypt / --no-encrypt
    Where possible, encrypt output.

-k, --public-key TEXT
    Public key for encryption.

-K, --private-key TEXT
    Private key for decryption.

-P, --pass-phrase TEXT
    Pass phrase for private key.

-s, --storage-dir TEXT.
    Where to store Aarlo state and packet dump [default: (current dir)]

-w, --wait / --no-wait.
    Wait for all information to arrive on start-up.

-v, --verbose.
    More vebose with multiple -v.

--help.
    Show help message and exit.

AUTHOR
This manual page was written by Carles Pina i Estany <carles@pina.cat> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 any later version published by the Free Software Foundation.

SEE ALSO
See Pyaarlo documentation in <https://pyaarlo.readthedocs.io/en/latest/> or available locally in </usr/share/doc/python3-pyaarlo/README.md.gz>, </usr/share/doc/python3-pyaarlo/html/> and </usr/share/doc/python3-pyaarlo/examples/>